/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package i18demo;

import java.util.Collection;
import java.util.Map;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Locale;
import java.util.ResourceBundle;

/**
 *
 * @author tomp
 */
public class AddressBook {
    
    private Map<String, Contact> contacts;

    public AddressBook() {
        contacts = new HashMap<String, Contact>();
    }
    
    public void addContact(Contact contact) {
        contacts.put(contact.getId(), contact);
    }
    
    public Contact getContact(String id) {
        return contacts.get(id);
    }
    
    public Collection<Contact> findByNameLike(String name) {
        Collection<Contact> found = new HashSet<Contact>();
        for(Contact contact: contacts.values()) {
            if(contact.getFirstName().contains(name) || contact.getSurname().contains(name)) {
                found.add(contact);
            }
        }
        return found;
    } 

    public static void listContacts(Collection<Contact> conts, Locale locale) {
        ResourceBundle bundle = ResourceBundle.getBundle("i18demo/resources", locale);
        System.out.println(bundle.getString("label.contacts"));
        
        for(Contact contact: conts) {
            System.out.println(bundle.getString("label.id") + ": " + contact.getId());
            System.out.println(bundle.getString("label.firstName") + ": " + contact.getFirstName());
            System.out.println(bundle.getString("label.surname") + ": " + contact.getSurname());
            System.out.println(bundle.getString("label.email") + ": " + contact.getEmail());
        }
    }
}
